Skip to main content
`Ctrl`+`K`

# TSTrajectory

Abstract PETSc object that stores the trajectory (solution of ODE/DAE at each time step)

## Synopsis

    #include <petscts.h>
    typedef struct _p_TSTrajectory *TSTrajectory;

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetSaveTrajectory()`, `TSTrajectoryCreate()`, `TSTrajectorySetType()`, `TSTrajectoryDestroy()`, `TSTrajectoryReset()`

## Level

advanced

## Location

include/petscts.h

## Examples

src/tao/unconstrained/tutorials/spectraladjointassimilation.c
src/ts/tutorials/ex41.c
src/ts/tutorials/extchem.c
src/ts/tutorials/ex40.c

## Implementations

_p_TSTrajectory in include/petsc/private/tsimpl.h
TSTrajectory_Basic in src/ts/trajectory/impls/basic/trajbasic.c
TSTrajectory_Singlefile in src/ts/trajectory/impls/singlefile/singlefile.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages